package com.taauav.admin.mapper;

import com.taauav.admin.entity.SysAuthGroup;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户组表 Mapper 接口
 * </p>
 *
 * @author dyg
 * @since 2019-11-04
 */
public interface SysAuthGroupMapper extends BaseMapper<SysAuthGroup> {
    /**
     * 根据用户编号获取权限
     * @param adminId
     * @return
     */
    List<SysAuthGroup> getAuthGroups(Integer adminId);

    /**
     * 根据父级编号获取数据
     * @param pid
     * @return
     */
    List<Map<String,String>> getListByPid(Integer pid);
}
