package com.taauav.front.utils;

import com.taauav.common.util.JwtUtil;
import com.taauav.common.util.StringUtils;
import io.jsonwebtoken.Claims;

/**
 * 封路信息工具类
 */
public class LoginUtils {

    /**
     * 获取登录用户ID
     *
     * @return
     */
    public static Integer getAdminId() {
        String token = ServletUtils.getRequest().getHeader("token");
        Claims data = JwtUtil.parseJWT(token);
        if (!StringUtils.isEmpty(data.get("id").toString())) {
            return Integer.valueOf(data.get("id").toString());
        }
        return 0;
    }

}
